### A modpack to show that risky never dies, only sleeps.

# Installation

  1. Either use r2modman or extract the mega folder into your risky folder.

  I ain't holding your hand.

# Additional Info

## Configuring Mods

Mods can be configured by editing the files in `BepinEx/config`

Additionally, configs can be edited via an ingame menu by pressing `F1`.

## Host Commands

Host can run commands through the debug console by pressing `ctrl+alt+~`

Since DropinMultiplayer's catch up item feature is broken, you can use this to catch up new players who join late:

`random_items [number_of_items] [player_name]`

Around 2-3 items per stage should be balanced, so if you were on stage 3 for example:

`random_items 9 hopoo`

If someone is stuck spectating, you can use this to spawn them in:

`respawn [player_name]`

The full list of commands is here:

https://thunderstore.io/package/Harb/DebugToolkit/

## Drop in Multiplayer

After joining a game in progress, type:

`join_as [survivor]`

into chat to pick your character

e.g. `join_as merc`

# Mod Overview

## Core Mods

### BepinEx

- Needs no introduction.

### R2API

- Modding library used by a lot of stuff.

### Drop in Multiplayer

- Allows for players to join in progress

### TooManyFriends

- Allows for 10 man risky lobbies.

### Lighter Patcher

- Uses Black Magic to improve performance.

## Survivor Stuff

### BanditReloaded

- A highly polished release of the cut survivor Bandit (never ever hopoo)

### Playable Templar

- Adds in a Clay Templar Survivor for maximum BRRRRRR.

### MULT Buff

- Provides some small buffs to our struggling robo.

### Artificer

#### Solid Ice Wall

- Makes Ice Wall suck less by letting it block projectiles.

#### Toggle Hover

- You no longer have to hold down space to fly as Arty. Toggle it on and off with just a tap.

## Quality of Life

### Hostan

#### DebugToolkit

- Helps debug mods when they go off. Also adds some admin-esque commands for managing the game.

#### BepinEx Configuration Manager

- Allows you to configure mods via an in-game menu. Press F1 to bring it up.

### Tab Menu

#### OrderedItems

- Items on the tab menu are ordered according to rarity instead of pickup order.

#### ItemStatsMod

- Calculates the actual affects your current stacks of item has and displays them on hover in the tab menu.

### Bazaar

#### BiggerBazaar

- Adds chests to the Bazaar you can buy with money, highly configurable.

#### NoBazaarKickOut

- You don't get kicked out of the Bazaar for attacking the newt. No more gesture capacitor ruining everyone's fun.

#### BazaarPrinter

- Adds 3d printers to the Bazaar.

### Misc

#### ShowDeathCause

- Notifies in chat cause of death when allies die, for when you ask "wtf killed me"

#### ScannerPlusOne

- Makes scanner suck less, uses actual ping icons instead of useless question marks.

#### SkipEarlyAccessScreen

- Hitting a single confirm at the start is too much work. 1.0 soon tm

#### Faster3dPrinters

- Vanilla printers too slow, makes em faster.

#### LunarCoinShareOnPickup

- No more fighting over coins, everyone gets one when one is picked up.


# Changelog

`v1.0.4`

Last version was full of issues (Continue button broke, people failed to spawn in, etc)

This release heavily slims down the modpack in order to improve stability.

Also Removed some of the more controversial mods (sorry Sniper/Arti).

- Updated PlayableTemplar
- Removed Artificer Extended (Cute, but overall the changes were too much. Want to stay more vanilla in the future)
- Removed Alternative Artificer (same as above)
- Removed Sniper (Caused issues with some players)
- Removed StatsDisplay (Full of Console spam errors, marked deprecated in thunderstore)
- Removed EmptyChestsBeGone
- Removed ItemExchangeNotifier (Didn't work a lot of the time)
- Removed BalancedObliterate (This + Shared Lunar winded up giving too many coins)
- Removed Pingprovements (Was causing issues for some)
- Removed Silly Items (Cute, but maybe too silly)

`v1.0.3`

- Add BazaarPrinter
- Add SkipEarlyAccessScreen

`v1.0.2`

- Update Readme

`v1.0.1`

- Add DebugToolkit
- Add BepinExConfigurationManager
- Add LighterPatcher
- Add PlayableTemplar

`v1.0.0`

- Initial release
